Package org.drinkless.tdlib

# Class TdApi.InputChatPhotoAnimation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputChatPhoto
org.drinkless.tdlib.TdApi.InputChatPhotoAnimation

Enclosing class:
  `TdApi`

public static class TdApi.InputChatPhotoAnimation extends TdApi.InputChatPhoto
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 1280 and be at most 2MB in size.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputChatPhoto

  `TdApi.InputChatPhoto.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputFile`
  `animation`
  Animation to be set as profile photo.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `mainFrameTimestamp`
  Timestamp of the frame, which will be used as static chat photo.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputChatPhotoAnimation()`
  An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 1280 and be at most 2MB in size.
  `InputChatPhotoAnimation(TdApi.InputFile animation, double mainFrameTimestamp)`
  An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 1280 and be at most 2MB in size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### animation

    public TdApi.InputFile animation
    Animation to be set as profile photo. Only inputFileLocal and inputFileGenerated are allowed.

  - ### mainFrameTimestamp

    public double mainFrameTimestamp
    Timestamp of the frame, which will be used as static chat photo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputChatPhotoAnimation

    public InputChatPhotoAnimation()
    An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 1280 and be at most 2MB in size.

  - ### InputChatPhotoAnimation

    public InputChatPhotoAnimation(TdApi.InputFile animation, double mainFrameTimestamp)
    An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 1280 and be at most 2MB in size.
    Parameters:
      `animation` - Animation to be set as profile photo. Only inputFileLocal and inputFileGenerated are allowed.
      `mainFrameTimestamp` - Timestamp of the frame, which will be used as static chat photo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputChatPhoto`
    Returns:
      this.CONSTRUCTOR